Skip to main content

createOrUpdateTrustCenter

Create or update a company's Trust Center configuration

createOrUpdateTrustCenter(
input: CreateOrUpdateTrustCenterInput!
): CreateOrUpdateTrustCenterPayload

Arguments​

createOrUpdateTrustCenter.input ● CreateOrUpdateTrustCenterInput! non-null input​

Parameters for CreateOrUpdateTrustCenter

Type​

CreateOrUpdateTrustCenterPayload object​

Autogenerated return type of CreateOrUpdateTrustCenter.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateTrustCenter($input: CreateOrUpdateTrustCenterInput!) {\n createOrUpdateTrustCenter(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}","variables":{"input":{"companyId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute